package io.netty.handler.codec.http2;

import io.netty.buffer.ByteBuf;
import io.netty.channel.ChannelHandlerContext;

class Http2InboundFrameLogger$1
  implements Http2FrameListener
{
  Http2InboundFrameLogger$1(Http2InboundFrameLogger paramHttp2InboundFrameLogger, Http2FrameListener paramHttp2FrameListener) {}
  
  public int onDataRead(ChannelHandlerContext ctx, int streamId, ByteBuf data, int padding, boolean endOfStream)
    throws Http2Exception
  {
    Http2InboundFrameLogger.access$000(this$0).logData(Http2FrameLogger.Direction.INBOUND, ctx, streamId, data, padding, endOfStream);
    return val$listener.onDataRead(ctx, streamId, data, padding, endOfStream);
  }
  
  public void onHeadersRead(ChannelHandlerContext ctx, int streamId, Http2Headers headers, int padding, boolean endStream)
    throws Http2Exception
  {
    Http2InboundFrameLogger.access$000(this$0).logHeaders(Http2FrameLogger.Direction.INBOUND, ctx, streamId, headers, padding, endStream);
    val$listener.onHeadersRead(ctx, streamId, headers, padding, endStream);
  }
  
  public void onHeadersRead(ChannelHandlerContext ctx, int streamId, Http2Headers headers, int streamDependency, short weight, boolean exclusive, int padding, boolean endStream)
    throws Http2Exception
  {
    Http2InboundFrameLogger.access$000(this$0).logHeaders(Http2FrameLogger.Direction.INBOUND, ctx, streamId, headers, streamDependency, weight, exclusive, padding, endStream);
    
    val$listener.onHeadersRead(ctx, streamId, headers, streamDependency, weight, exclusive, padding, endStream);
  }
  
  public void onPriorityRead(ChannelHandlerContext ctx, int streamId, int streamDependency, short weight, boolean exclusive)
    throws Http2Exception
  {
    Http2InboundFrameLogger.access$000(this$0).logPriority(Http2FrameLogger.Direction.INBOUND, ctx, streamId, streamDependency, weight, exclusive);
    val$listener.onPriorityRead(ctx, streamId, streamDependency, weight, exclusive);
  }
  
  public void onRstStreamRead(ChannelHandlerContext ctx, int streamId, long errorCode)
    throws Http2Exception
  {
    Http2InboundFrameLogger.access$000(this$0).logRstStream(Http2FrameLogger.Direction.INBOUND, ctx, streamId, errorCode);
    val$listener.onRstStreamRead(ctx, streamId, errorCode);
  }
  
  public void onSettingsAckRead(ChannelHandlerContext ctx)
    throws Http2Exception
  {
    Http2InboundFrameLogger.access$000(this$0).logSettingsAck(Http2FrameLogger.Direction.INBOUND, ctx);
    val$listener.onSettingsAckRead(ctx);
  }
  
  public void onSettingsRead(ChannelHandlerContext ctx, Http2Settings settings)
    throws Http2Exception
  {
    Http2InboundFrameLogger.access$000(this$0).logSettings(Http2FrameLogger.Direction.INBOUND, ctx, settings);
    val$listener.onSettingsRead(ctx, settings);
  }
  
  public void onPingRead(ChannelHandlerContext ctx, ByteBuf data)
    throws Http2Exception
  {
    Http2InboundFrameLogger.access$000(this$0).logPing(Http2FrameLogger.Direction.INBOUND, ctx, data);
    val$listener.onPingRead(ctx, data);
  }
  
  public void onPingAckRead(ChannelHandlerContext ctx, ByteBuf data)
    throws Http2Exception
  {
    Http2InboundFrameLogger.access$000(this$0).logPingAck(Http2FrameLogger.Direction.INBOUND, ctx, data);
    val$listener.onPingAckRead(ctx, data);
  }
  
  public void onPushPromiseRead(ChannelHandlerContext ctx, int streamId, int promisedStreamId, Http2Headers headers, int padding)
    throws Http2Exception
  {
    Http2InboundFrameLogger.access$000(this$0).logPushPromise(Http2FrameLogger.Direction.INBOUND, ctx, streamId, promisedStreamId, headers, padding);
    val$listener.onPushPromiseRead(ctx, streamId, promisedStreamId, headers, padding);
  }
  
  public void onGoAwayRead(ChannelHandlerContext ctx, int lastStreamId, long errorCode, ByteBuf debugData)
    throws Http2Exception
  {
    Http2InboundFrameLogger.access$000(this$0).logGoAway(Http2FrameLogger.Direction.INBOUND, ctx, lastStreamId, errorCode, debugData);
    val$listener.onGoAwayRead(ctx, lastStreamId, errorCode, debugData);
  }
  
  public void onWindowUpdateRead(ChannelHandlerContext ctx, int streamId, int windowSizeIncrement)
    throws Http2Exception
  {
    Http2InboundFrameLogger.access$000(this$0).logWindowsUpdate(Http2FrameLogger.Direction.INBOUND, ctx, streamId, windowSizeIncrement);
    val$listener.onWindowUpdateRead(ctx, streamId, windowSizeIncrement);
  }
  
  public void onUnknownFrame(ChannelHandlerContext ctx, byte frameType, int streamId, Http2Flags flags, ByteBuf payload)
    throws Http2Exception
  {
    Http2InboundFrameLogger.access$000(this$0).logUnknownFrame(Http2FrameLogger.Direction.INBOUND, ctx, frameType, streamId, flags, payload);
    val$listener.onUnknownFrame(ctx, frameType, streamId, flags, payload);
  }
}

/* Location:
 * Qualified Name:     io.netty.handler.codec.http2.Http2InboundFrameLogger.1
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */